#!/bin/sh

if [[ $(/usr/bin/id -u) -ne 0 ]]; then
	printf "must be run as root\n"
	exit 1
fi

WORKING_DIR=$(pwd)

printf "parsing install.conf\n"
	source $WORKING_DIR/install.conf
		if [ "$?" != 0 ]; then
			printf "install.conf not found\n"
			exit 1
		fi
printf "installing executable\n"
mv $WORKING_DIR/gpc $PREFIX/bin
	if [ "$?" != 0 ]; then
		mv $WORKING_DIR/gpc $PREFIX
		printf "directory $PREFIX/bin does not exist, moving to $PREFIX instead\n"
	fi
printf "installing configuration files\n"
mv $WORKING_DIR/gpc.conf $CONFDIR
	if [ "$?" != 0 ]; then
		printf "$CONFDIR does not exist\n"
		printf "this can be corrected by running:\n"
		printf "# mkdir -pv $CONFDIR\n"
		exit 1
	fi
printf "finished installation\n"
exit 0
